Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
[Java] Class MissingMethodExceptionNoStack

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      groovy.lang.MissingMethodException
                          org.codehaus.groovy.runtime.metaclass.MissingMethodExceptionNoStack

    public class MissingMethodExceptionNoStack
    extends MissingMethodException

Constructor Summary
`MissingMethodExceptionNoStack(java.lang.String method, java.lang.Class type, java.lang.Object[] arguments)`
`MissingMethodExceptionNoStack(java.lang.String method, java.lang.Class type, java.lang.Object[] arguments, boolean isStatic)`

Method Summary
`java.lang.Throwable` | `fillInStackTrace()`

Methods inherited from class MissingMethodException
getArguments, getMessage, getMethod, getType, isStatic

Methods inherited from class GroovyRuntimeException
getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule

Methods inherited from class java.lang.RuntimeException
java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()

Constructor Detail

### MissingMethodExceptionNoStack

    public MissingMethodExceptionNoStack(java.lang.String method, java.lang.Class type, java.lang.Object[] arguments)

### MissingMethodExceptionNoStack

    public MissingMethodExceptionNoStack(java.lang.String method, java.lang.Class type, java.lang.Object[] arguments, boolean isStatic)

Method Detail

### fillInStackTrace

    public java.lang.Throwable fillInStackTrace()

Groovy Documentation